Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DirectSession Class Reference

Inherits direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | addPassThroughKey
def | addUnpickable
def | beginOOBE
def | deselect
def | deselectAll
def | deselectAllCB
def | destroy
def | disable
def | disableActionEvents
def | disableKeyEvents
def | disableModifierEvents
def | disableMouseEvents
def | doReparent
def | doSelect
def | doSetActiveParent
def | downAncestry
def | doWrtReparent
def | enable
def | enableActionEvents
def | enableKeyEvents
def | enableLight
def | enableModifierEvents
def | enableMouseEvents
def | endOOBE
def | fitOnNodePath
def | flash
def | flashDone
def | flashDummy
def | followSelectedNodePathTask
def | getAndSetName
def | getModifiers
def | gotAlt
def | gotControl
def | gotShift
def | hideActiveParentReadout
def | hideDirectMessage
def | hideDirectMessageLater
def | hideSelectedNPReadout
def | inputHandler
def | isEnabled
def | isNotCycle
def | isolate
def | message
def | minimumConfiguration
def | oobe
def | popRedoGroup
def | popUndoGroup
def | pushRedo
def | pushUndo
def | redo
def | removeAllSelected
def | removeNodePath
def | removeUnpickable
def | reparent
def | reset
def | select
def | selectCB
def | setActiveParent
def | setCOAMode
def | setFScaleWidgetByCam
def | showAllDescendants
def | toggleDirect
def | toggleVis
def | toggleWidgetVis
def | undo
def | upAncestry
def | useObjectHandles
def | widgetResizeTask
## Public Attributes
| actionEvents
| activeParent
| activeParentReadout
| ancestry
| ancestryIndex
| cam
| camera
| cameraControl
| camNode
| cluster
| clusterMode
| coaMode
| deviceManager
| directMessageReadout
| directOnlyKeyMap
| dr
| drList
| fAlt
| fastrak
| fControl
| fEnabled
| fEnabledLight
| fIgnoreDirectOnlyKeyMap
| fMouse1
| fMouse2
| fMouse3
| font
| fScaleWidgetByCam
| fShift
| grid
| group
| hitPt
| hotKeyMap
| hpr
| iRay
| iRayList
| joybox
| keyEvents
| lights
| manipulationControl
| modifierEvents
| mouseEvents
| oobeCamera
| oobeMode
| oobeVis
| panel
| passThroughKeys
| pos
| radamec
| redoList
| scale
| selected
| selectedNPReadout
| specialKeys
| speicalKeyMap
| trueCamera
| undoList
| widget
| win
## Static Public Attributes
string | DIRECTdisablePost = 'disableDIRECT'

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def addPassThroughKey | ( |  | self,
|  |  | key
| ) |  |

def addUnpickable | ( |  | self,
|  |  | item
| ) |  |

def beginOOBE | ( |  | self,
|  |  | state
| ) |  |

def deselect | ( |  | self,
|  |  | nodePath
| ) |  |

def deselectAll | ( |  | self | ) |

def deselectAllCB | ( |  | self | ) |

def destroy | ( |  | self | ) |

def disable | ( |  | self | ) |

def disableActionEvents | ( |  | self | ) |

def disableKeyEvents | ( |  | self | ) |

def disableModifierEvents | ( |  | self | ) |

def disableMouseEvents | ( |  | self | ) |

def doReparent | ( |  | self | ) |

def doSelect | ( |  | self | ) |

def doSetActiveParent | ( |  | self | ) |

def downAncestry | ( |  | self | ) |

def doWrtReparent | ( |  | self | ) |

def enable | ( |  | self | ) |

def enableActionEvents | ( |  | self | ) |

def enableKeyEvents | ( |  | self | ) |

def enableLight | ( |  | self | ) |

def enableModifierEvents | ( |  | self | ) |

def enableMouseEvents | ( |  | self | ) |

def endOOBE | ( |  | self,
|  |  | state
| ) |  |

def fitOnNodePath | ( |  | self,
|  |  | nodePath = `'None Given'`
| ) |  |

def flash | ( |  | self,
|  |  | nodePath = `'None Given'`
| ) |  |

    Highlight an object by setting it red for a few seconds

def flashDone | ( |  | self,
|  |  | state
| ) |  |

def flashDummy | ( |  | self,
|  |  | state
| ) |  |

def followSelectedNodePathTask | ( |  | self,
|  |  | state
| ) |  |

def getAndSetName | ( |  | self,
|  |  | nodePath
| ) |  |

    Prompt user for new node path name

def getModifiers | ( |  | self,
|  |  | input,
|  |  | base
| ) |  |

def gotAlt | ( |  | self,
|  |  | modifiers
| ) |  |

def gotControl | ( |  | self,
|  |  | modifiers
| ) |  |

def gotShift | ( |  | self,
|  |  | modifiers
| ) |  |

def hideActiveParentReadout | ( |  | self | ) |

def hideDirectMessage | ( |  | self,
|  |  | state
| ) |  |

def hideDirectMessageLater | ( |  | self | ) |

def hideSelectedNPReadout | ( |  | self | ) |

def inputHandler | ( |  | self,
|  |  | input
| ) |  |

def isEnabled | ( |  | self | ) |

def isNotCycle | ( |  | self,
|  |  | nodePath,
|  |  | parent
| ) |  |

def isolate | ( |  | self,
|  |  | nodePath = `'None Given'`
| ) |  |

    Show a node path and hide its siblings

def message | ( |  | self,
|  |  | text
| ) |  |

def minimumConfiguration | ( |  | self | ) |

def oobe | ( |  | self | ) |

def popRedoGroup | ( |  | self | ) |

def popUndoGroup | ( |  | self | ) |

def pushRedo | ( |  | self,
|  |  | nodePathList
| ) |  |

def pushUndo | ( |  | self,
|  |  | nodePathList,
|  |  | fResetRedo = `1`
| ) |  |

def redo | ( |  | self | ) |

def removeAllSelected | ( |  | self | ) |

def removeNodePath | ( |  | self,
|  |  | nodePath = `'None Given'`
| ) |  |

def removeUnpickable | ( |  | self,
|  |  | item
| ) |  |

def reparent | ( |  | self,
|  |  | nodePath = `None`,
|  |  | fWrt = `0`
| ) |  |

def reset | ( |  | self | ) |

def select | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = `0`,
|  |  | fSelectTag = `1`,
|  |  | fResetAncestry = `1`,
|  |  | fLEPane = `0`,
|  |  | fUndo = `1`
| ) |  |

def selectCB | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = `0`,
|  |  | fSelectTag = `1`,
|  |  | fResetAncestry = `1`,
|  |  | fLEPane = `0`,
|  |  | fUndo = `1`
| ) |  |

def setActiveParent | ( |  | self,
|  |  | nodePath = `None`
| ) |  |

def setCOAMode | ( |  | self,
|  |  | mode
| ) |  |

def setFScaleWidgetByCam | ( |  | self,
|  |  | flag
| ) |  |

def showAllDescendants | ( |  | self,
|  |  | nodePath = `render`
| ) |  |

    Show the level and its descendants

def toggleDirect | ( |  | self | ) |

def toggleVis | ( |  | self,
|  |  | nodePath = `'None Given'`
| ) |  |

    Toggle visibility of node path

def toggleWidgetVis | ( |  | self | ) |

def undo | ( |  | self | ) |

def upAncestry | ( |  | self | ) |

def useObjectHandles | ( |  | self | ) |

def widgetResizeTask | ( |  | self,
|  |  | state
| ) |  |

## Member Data Documentation

actionEvents

activeParent

activeParentReadout

ancestry

ancestryIndex

cam

camera

cameraControl

camNode

cluster

clusterMode

coaMode

deviceManager

string DIRECTdisablePost = 'disableDIRECT'`[static]`

directMessageReadout

directOnlyKeyMap

dr

drList

fAlt

fastrak

fControl

fEnabled

fEnabledLight

fIgnoreDirectOnlyKeyMap

fMouse1

fMouse2

fMouse3

font

fScaleWidgetByCam

fShift

grid

group

hitPt

hotKeyMap

hpr

iRay

iRayList

joybox

keyEvents

lights

manipulationControl

modifierEvents

mouseEvents

oobeCamera

oobeMode

oobeVis

panel

passThroughKeys

pos

radamec

redoList

scale

selected

selectedNPReadout

specialKeys

speicalKeyMap

trueCamera

undoList

widget

win

All Classes Namespaces Functions Variables Enumerations Enumerator Properties